Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Dladiv

    java.lang.Object
      org.netlib.lapack.Dladiv

    public class Dladiv

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DLADIV performs complex division in  real arithmetic
     *
     *                        a + i*b
     *             p + i*q = ---------
     *                        c + i*d
     *
     *  The algorithm is due to Robert L. Smith and can be found
     *  in D. Knuth, The art of Computer Programming, Vol.2, p.195
     *
     *  Arguments
     *  =========
     *
     *  A       (input) DOUBLE PRECISION
     *  B       (input) DOUBLE PRECISION
     *  C       (input) DOUBLE PRECISION
     *  D       (input) DOUBLE PRECISION
     *          The scalars a, b, c, and d in the above expression.
     *
     *  P       (output) DOUBLE PRECISION
     *  Q       (output) DOUBLE PRECISION
     *          The scalars p and q in the above expression.
     *
     *  =====================================================================
     *
     *     .. Local Scalars ..

Constructor Summary
`Dladiv()`

Method Summary
`static void` | `dladiv(double a, double b, double c, double d, doubleW p, doubleW q)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dladiv

    public Dladiv()

Method Detail

### dladiv

    public static void dladiv(double a,
                              double b,
                              double c,
                              double d,
                              doubleW p,
                              doubleW q)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD